package cn.wisenergy.model.app;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author 86187
 * @ Description: 商城版本实体类
 * @ Author     : 86187
 * @ Date       : 2021/3/30 15:59
 */
@Data
@ApiModel("ShopVersion")
public class ShopVersion {
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", name = "id")
    private Integer id;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称", name = "name")
    private String name;

    /**
     * 类型 1:ios  2:安卓
     */
    @ApiModelProperty(value = "类型 1:ios  2:安卓", name = "type")
    private Integer type;

    /**
     * 下载路径
     */
    @ApiModelProperty(value = "下载路径", name = "url")
    private String url;

    /**
     * 版本
     */
    @ApiModelProperty(value = "版本", name = "version")
    private String version;

    private Date createTime;

    private Date updateTime;
}
