package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author 86187
 */
@Data
@ApiModel("CreateCodeVo")
public class CreateCodeVo {

    /**
     * 生成二维码数量
     */
    @ApiModelProperty(value = "生成二维码数量", name = "生成二维码数量")
    private Integer number;

    /**
     * 生产日期 yyyy-MM-dd
     */
    @ApiModelProperty(value = "生产日期 yyyy-MM-dd", name = "produceTime",required = true)
    private String produceTime;

    /**
     * 规格
     */
    @ApiModelProperty(value = "规格", name = "specification")
    private String specification;

    /**
     * 品牌名
     */
    @ApiModelProperty(value = "品牌名", name = "brandName")
    private String brandName;

    /**
     * 原产国
     */
    @ApiModelProperty(value = "原产国", name = "productCountry")
    private String productCountry;

    /**
     * 有效时间
     */
    @ApiModelProperty(value = "有效时间", name = "validTime")
    private Date validTime;

    /**
     * 货运单号
     */
    @ApiModelProperty(value = "货运单号", name = "trackingNumber")
    private String trackingNumber;

    /**
     * 海关进境货物备案编号
     */
    @ApiModelProperty(value = "海关进境货物备案编号", name = "recordNumber")
    private String recordNumber;
}
