package cn.wisenergy.model.dto;

import cn.wisenergy.common.constant.CacheConstants;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 86187
 */
@Data
@ApiModel("AccountInfoQuery")
public class OrderInfoQuery {

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id",name = "userId")
    private String userId;

    /**
     * 页码
     */
    @ApiModelProperty(value = "页码", name = "pageNo")
    private Integer pageNo;

    /**
     * 页条数
     */
    @ApiModelProperty(value = "页条数", name = "pageSize")
    private Integer pageSize;


    private Integer startNum;

    private Integer endNum;
}
