package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author 86187
 */
@Data
@ApiModel("ProductDto")
public class ProductDto {

    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌", name = "brand")
    private String brand;

    /**
     * 规格
     */
    @ApiModelProperty(value = "规格", name = "specification")
    private String specification;

    /**
     * 品牌名
     */
    @ApiModelProperty(value = "品牌名", name = "brandName")
    private String brandName;

    /**
     * 原产国
     */
    @ApiModelProperty(value = "原产国", name = "productCountry")
    private String productCountry;

    /**
     * 有效时间
     */
    @ApiModelProperty(value = "有效时间", name = "validTime")
    private Date validTime;

    /**
     * 生产日期 yyyy-MM-dd
     */
    @ApiModelProperty(value = "生产日期 yyyy-MM-dd", name = "produceTime")
    private String produceTime;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称", name = "companyName")
    private String companyName;

    /**
     * 企业地址
     */
    @ApiModelProperty(value = "企业地址", name = "companyAddress")
    private String companyAddress;

    /**
     * 企业网址
     */
    @ApiModelProperty(value = "企业网址", name = "companyUrl")
    private String companyUrl;

    /**
     * 货运单号
     */
    @ApiModelProperty(value = "货运单号", name = "trackingNumber")
    private String trackingNumber;

    /**
     * 物流轨迹查询平台
     */
    @ApiModelProperty(value = "物流轨迹查询平台", name = "logisticsUrl")
    private String logisticsUrl;

    /**
     * 海关进境货物备案编号
     */
    @ApiModelProperty(value = "海关进境货物备案编号", name = "recordNumber")
    private String recordNumber;
}
